Subject: [Sip] Delivering request-URI and parameters to UAS via proxy

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Mon, 14 Jan 2008 17:58:06 +0100

(As WG chair)

In fulfilment of our charter items of

Dec 2007    Delivering request-URI and parameters to UAS via proxy to
WGLC  
Feb 2008    Delivering request-URI and parameters to UAS via proxy to
IESG (PS)

We now have a couple of proposals on the table for solving the problem.

The original draft from Jonathan and which led to the creation of the
charter items by the WG is unfortunately expired, but is at:

http://tools.ietf.org/id/draft-rosenberg-sip-ua-loose-route-01.txt

The alternative document from Christer, etc is at:

http://www.ietf.org/internet-drafts/draft-holmberg-sip-target-uri-delive
ry-00.txt

We obviously need to make a decision between the two approaches so
please attempt to address the following specific points via the mailing
list:

1)	Problem cases: These are summarised in section 4.4 of
draft-rosenberg-sip-ua-loose-route-01 and from my read of the other
draft, I don't believe that this draft adds any others. If you believe
there are other cases that should be covered by the solution, then
please identify them. If there is support on any new problem cases, I
would encourage the authors of both drafts to add text concerning these
problem cases.

2)	Clarifications: If for any reason you don't understand either
draft, or believe that there are technical issues that are not
represented in the current draft, please post your questions / comments
to the list. I would encourage authors of both drafts to revise as
frequently as appropriate to reflect the current state of discussion.

3)	Support for either position. If you wish to indicate support for
either position please do so, but please accompany this is technical
reasoning as to why you have this position, as that will help other
members of the WG form a position.

I would encourage as much list discussion as possible before
Philadelphia. I suspect we will need to have a discussion at the
face-to-face meeting in Philadephia, but list discussion is essential
prior to that. If we can solve this positions on list, then well and
good, and even better (that is how we are meant to make decisions).

Regards

Keith

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Wed, 16 Jan 2008 12:35:12 +0100

(As WG chair)

I am seeing consensus on the second draft.......

.....that everyone is confused by the semantics applied to the various
headers, and the mail exchange does not seem to be clearing it up.

I urge Christer and Hans Erik to get a new version out as soon as
possible in the hope of removing some of the confusion.

Regards

Keith 

> -----Original Message-----
> From: DRAGE, Keith (Keith) [mailto:[email-masked]] 
> Sent: Monday, January 14, 2008 4:58 PM
> To: [email-masked]
> Subject: [Sip] Delivering request-URI and parameters to UAS via proxy
> 
> (As WG chair)
> 
> The original draft from Jonathan and which led to the 
> creation of the charter items by the WG is unfortunately 
> expired, but is at:
> 
> We obviously need to make a decision between the two 
> approaches so please attempt to address the following 
> specific points via the mailing
> list:
> 
> draft-rosenberg-sip-ua-loose-route-01 and from my read of the 
> other draft, I don't believe that this draft adds any others. 
> If you believe there are other cases that should be covered 
> by the solution, then please identify them. If there is 
> support on any new problem cases, I would encourage the 
> authors of both drafts to add text concerning these problem cases.
> 
> draft, or believe that there are technical issues that are 
> not represented in the current draft, please post your 
> questions / comments to the list. I would encourage authors 
> of both drafts to revise as frequently as appropriate to 
> reflect the current state of discussion.
> 
> either position please do so, but please accompany this is 
> technical reasoning as to why you have this position, as that 
> will help other members of the WG form a position.
> 
> Philadelphia. I suspect we will need to have a discussion at 
> the face-to-face meeting in Philadephia, but list discussion 
> is essential prior to that. If we can solve this positions on 
> list, then well and good, and even better (that is how we are 
> meant to make decisions).
> 
> Regards
> 
> 
> Keith
> 
> 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip

---

From: "Christer Holmberg" <[email-masked]>
Date: Wed, 16 Jan 2008 12:38:19 +0100

Hi Keith,

I submitted a new version earlier today.

Regards,

Christer 

> Sent: 16. tammikuuta 2008 13:35
> To: [email-masked]
> Subject: RE: [Sip] Delivering request-URI and parameters to 
> UAS via proxy
> 
> (As WG chair)
> 
> .....that everyone is confused by the semantics applied to 
> the various headers, and the mail exchange does not seem to 
> be clearing it up.
> 
> I urge Christer and Hans Erik to get a new version out as 
> soon as possible in the hope of removing some of the confusion.
> 
> Regards
> 
> Keith 
> 
> creation of the 
> > draft, I don't believe that this draft adds any others.
> > If you believe there are other cases that should be covered by the 
> > solution, then please identify them. If there is support on any new 
> > problem cases, I would encourage the authors of both drafts to add 
> > text concerning these problem cases.
> > 
> > represented in the current draft, please post your questions / 
> > comments to the list. I would encourage authors of both drafts to 
> > revise as frequently as appropriate to reflect the current state of 
> > discussion.
> > 
> technical 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments on the application of sip
> > 
> 
>